package com.ruoyi.financeBudget.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 财务预算对象 finance_budget
 * 
 * @author yanxun
 * @date 2023-08-10
 */
public class FinanceBudget extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String taskno;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskname;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String iflag;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String hxzxname;

    /** 型号id */
    @Excel(name = "型号id")
    private String xhid;

    /** 研制阶段 */
    @Excel(name = "研制阶段")
    private String yzjdname;

    /** 研制数量 */
    @Excel(name = "研制数量")
    private String yzsl;

    /** 投产单位 */
    @Excel(name = "投产单位")
    private String tcdw;

    /** 任务来源简称 */
    @Excel(name = "任务来源简称")
    private String Brief;

    /** 责任部门 */
    @Excel(name = "责任部门")
    private String zrbm;

    /** 下达部门 */
    @Excel(name = "下达部门")
    private String jycs;

    /** 任务类型 */
    @Excel(name = "任务类型")
    private String tasktype;

    /** 审计审价 */
    @Excel(name = "审计审价")
    private String auditPrice;

    /** 业务员名称 */
    @Excel(name = "业务员名称")
    private String businessManName;

    /** 下达时间 */
    @Excel(name = "下达时间")
    private String lrsj;

    /** 设计开始时间 */
    @Excel(name = "设计开始时间")
    private String sjkssj;

    /** 计划完成时间（进度要求） */
    @Excel(name = "计划完成时间", readConverterExp = "进=度要求")
    private String jhwcsj;

    /** 项目进度 */
    @Excel(name = "项目进度")
    private String ProcessPercent;

    /** 预估价 */
    @Excel(name = "预估价")
    private String EstimationCoat;

    /** 合同分配额 */
    @Excel(name = "合同分配额")
    private String contractfpe;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String sjCost;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String clCost;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String wxCost;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String zyCost;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String gzCost;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String rdCost;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String glCost;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String rgCost;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String refTaskNo;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskno(String taskno) 
    {
        this.taskno = taskno;
    }

    public String getTaskno() 
    {
        return taskno;
    }
    public void setTaskname(String taskname) 
    {
        this.taskname = taskname;
    }

    public String getTaskname() 
    {
        return taskname;
    }
    public void setIflag(String iflag) 
    {
        this.iflag = iflag;
    }

    public String getIflag() 
    {
        return iflag;
    }
    public void setHxzxname(String hxzxname) 
    {
        this.hxzxname = hxzxname;
    }

    public String getHxzxname() 
    {
        return hxzxname;
    }
    public void setXhid(String xhid) 
    {
        this.xhid = xhid;
    }

    public String getXhid() 
    {
        return xhid;
    }
    public void setYzjdname(String yzjdname) 
    {
        this.yzjdname = yzjdname;
    }

    public String getYzjdname() 
    {
        return yzjdname;
    }
    public void setYzsl(String yzsl) 
    {
        this.yzsl = yzsl;
    }

    public String getYzsl() 
    {
        return yzsl;
    }
    public void setTcdw(String tcdw) 
    {
        this.tcdw = tcdw;
    }

    public String getTcdw() 
    {
        return tcdw;
    }
    public void setBrief(String Brief) 
    {
        this.Brief = Brief;
    }

    public String getBrief() 
    {
        return Brief;
    }
    public void setZrbm(String zrbm) 
    {
        this.zrbm = zrbm;
    }

    public String getZrbm() 
    {
        return zrbm;
    }
    public void setJycs(String jycs) 
    {
        this.jycs = jycs;
    }

    public String getJycs() 
    {
        return jycs;
    }
    public void setTasktype(String tasktype) 
    {
        this.tasktype = tasktype;
    }

    public String getTasktype() 
    {
        return tasktype;
    }
    public void setAuditPrice(String auditPrice) 
    {
        this.auditPrice = auditPrice;
    }

    public String getAuditPrice() 
    {
        return auditPrice;
    }
    public void setBusinessManName(String businessManName) 
    {
        this.businessManName = businessManName;
    }

    public String getBusinessManName() 
    {
        return businessManName;
    }
    public void setLrsj(String lrsj) 
    {
        this.lrsj = lrsj;
    }

    public String getLrsj() 
    {
        return lrsj;
    }
    public void setSjkssj(String sjkssj) 
    {
        this.sjkssj = sjkssj;
    }

    public String getSjkssj() 
    {
        return sjkssj;
    }
    public void setJhwcsj(String jhwcsj) 
    {
        this.jhwcsj = jhwcsj;
    }

    public String getJhwcsj() 
    {
        return jhwcsj;
    }
    public void setProcessPercent(String ProcessPercent) 
    {
        this.ProcessPercent = ProcessPercent;
    }

    public String getProcessPercent() 
    {
        return ProcessPercent;
    }
    public void setEstimationCoat(String EstimationCoat) 
    {
        this.EstimationCoat = EstimationCoat;
    }

    public String getEstimationCoat() 
    {
        return EstimationCoat;
    }
    public void setContractfpe(String contractfpe) 
    {
        this.contractfpe = contractfpe;
    }

    public String getContractfpe() 
    {
        return contractfpe;
    }
    public void setSjCost(String sjCost) 
    {
        this.sjCost = sjCost;
    }

    public String getSjCost() 
    {
        return sjCost;
    }
    public void setClCost(String clCost) 
    {
        this.clCost = clCost;
    }

    public String getClCost() 
    {
        return clCost;
    }
    public void setWxCost(String wxCost) 
    {
        this.wxCost = wxCost;
    }

    public String getWxCost() 
    {
        return wxCost;
    }
    public void setZyCost(String zyCost) 
    {
        this.zyCost = zyCost;
    }

    public String getZyCost() 
    {
        return zyCost;
    }
    public void setGzCost(String gzCost) 
    {
        this.gzCost = gzCost;
    }

    public String getGzCost() 
    {
        return gzCost;
    }
    public void setRdCost(String rdCost) 
    {
        this.rdCost = rdCost;
    }

    public String getRdCost() 
    {
        return rdCost;
    }
    public void setGlCost(String glCost) 
    {
        this.glCost = glCost;
    }

    public String getGlCost() 
    {
        return glCost;
    }
    public void setRgCost(String rgCost) 
    {
        this.rgCost = rgCost;
    }

    public String getRgCost() 
    {
        return rgCost;
    }
    public void setRefTaskNo(String refTaskNo) 
    {
        this.refTaskNo = refTaskNo;
    }

    public String getRefTaskNo() 
    {
        return refTaskNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskno", getTaskno())
            .append("taskname", getTaskname())
            .append("iflag", getIflag())
            .append("hxzxname", getHxzxname())
            .append("xhid", getXhid())
            .append("yzjdname", getYzjdname())
            .append("yzsl", getYzsl())
            .append("tcdw", getTcdw())
            .append("Brief", getBrief())
            .append("zrbm", getZrbm())
            .append("jycs", getJycs())
            .append("tasktype", getTasktype())
            .append("auditPrice", getAuditPrice())
            .append("businessManName", getBusinessManName())
            .append("lrsj", getLrsj())
            .append("sjkssj", getSjkssj())
            .append("jhwcsj", getJhwcsj())
            .append("ProcessPercent", getProcessPercent())
            .append("EstimationCoat", getEstimationCoat())
            .append("contractfpe", getContractfpe())
            .append("sjCost", getSjCost())
            .append("clCost", getClCost())
            .append("wxCost", getWxCost())
            .append("zyCost", getZyCost())
            .append("gzCost", getGzCost())
            .append("rdCost", getRdCost())
            .append("glCost", getGlCost())
            .append("rgCost", getRgCost())
            .append("refTaskNo", getRefTaskNo())
            .toString();
    }
}
